Skip to main content
GET
/
experiments
/
{id}
/
results
cURL
curl https://api.growthbook.io/api/v1/experiments/exp_123abc/results \
  -u secret_abc123DEF456:
{
  "result": {
    "id": "<string>",
    "dateUpdated": "<string>",
    "experimentId": "<string>",
    "phase": "<string>",
    "dateStart": "<string>",
    "dateEnd": "<string>",
    "dimension": {
      "type": "<string>",
      "id": "<string>"
    },
    "settings": {
      "datasourceId": "<string>",
      "assignmentQueryId": "<string>",
      "experimentId": "<string>",
      "segmentId": "<string>",
      "queryFilter": "<string>",
      "inProgressConversions": "include",
      "attributionModel": "firstExposure",
      "statsEngine": "bayesian",
      "goals": [
        {
          "metricId": "<string>",
          "overrides": {
            "delayHours": 123,
            "windowHours": 123,
            "window": "conversion",
            "winRiskThreshold": 123,
            "loseRiskThreshold": 123,
            "properPriorOverride": true,
            "properPriorEnabled": true,
            "properPriorMean": 123,
            "properPriorStdDev": 123,
            "regressionAdjustmentOverride": true,
            "regressionAdjustmentEnabled": true,
            "regressionAdjustmentDays": 123
          }
        }
      ],
      "secondaryMetrics": [
        {
          "metricId": "<string>",
          "overrides": {
            "delayHours": 123,
            "windowHours": 123,
            "window": "conversion",
            "winRiskThreshold": 123,
            "loseRiskThreshold": 123,
            "properPriorOverride": true,
            "properPriorEnabled": true,
            "properPriorMean": 123,
            "properPriorStdDev": 123,
            "regressionAdjustmentOverride": true,
            "regressionAdjustmentEnabled": true,
            "regressionAdjustmentDays": 123
          }
        }
      ],
      "guardrails": [
        {
          "metricId": "<string>",
          "overrides": {
            "delayHours": 123,
            "windowHours": 123,
            "window": "conversion",
            "winRiskThreshold": 123,
            "loseRiskThreshold": 123,
            "properPriorOverride": true,
            "properPriorEnabled": true,
            "properPriorMean": 123,
            "properPriorStdDev": 123,
            "regressionAdjustmentOverride": true,
            "regressionAdjustmentEnabled": true,
            "regressionAdjustmentDays": 123
          }
        }
      ],
      "lookbackOverride": {
        "type": "date",
        "value": 123,
        "valueUnit": "minutes"
      },
      "regressionAdjustmentEnabled": true,
      "sequentialTestingEnabled": true,
      "sequentialTestingTuningParameter": 123,
      "postStratificationEnabled": true,
      "decisionFrameworkSettings": {
        "decisionCriteriaId": "<string>",
        "decisionFrameworkMetricOverrides": [
          {
            "id": "<string>",
            "targetMDE": 123
          }
        ]
      },
      "metricOverrides": [
        {
          "id": "<string>",
          "windowType": "conversion",
          "windowHours": 123,
          "delayHours": 123,
          "properPriorOverride": true,
          "properPriorEnabled": true,
          "properPriorMean": 123,
          "properPriorStdDev": 123,
          "regressionAdjustmentOverride": true,
          "regressionAdjustmentEnabled": true,
          "regressionAdjustmentDays": 123
        }
      ],
      "activationMetric": {
        "metricId": "<string>",
        "overrides": {
          "delayHours": 123,
          "windowHours": 123,
          "window": "conversion",
          "winRiskThreshold": 123,
          "loseRiskThreshold": 123,
          "properPriorOverride": true,
          "properPriorEnabled": true,
          "properPriorMean": 123,
          "properPriorStdDev": 123,
          "regressionAdjustmentOverride": true,
          "regressionAdjustmentEnabled": true,
          "regressionAdjustmentDays": 123
        }
      }
    },
    "queryIds": [
      "<string>"
    ],
    "results": [
      {
        "dimension": "<string>",
        "totalUsers": 123,
        "checks": {
          "srm": 123
        },
        "metrics": [
          {
            "metricId": "<string>",
            "variations": [
              {
                "variationId": "<string>",
                "analyses": [
                  {
                    "engine": "bayesian",
                    "numerator": 123,
                    "denominator": 123,
                    "mean": 123,
                    "stddev": 123,
                    "percentChange": 123,
                    "ciLow": 123,
                    "ciHigh": 123,
                    "pValue": 123,
                    "risk": 123,
                    "chanceToBeatControl": 123
                  }
                ],
                "users": 123
              }
            ]
          }
        ]
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://growthbook-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

If using Bearer auth, pass the Secret Key as the token:

curl https://api.growthbook.io/api/v1 \
-H "Authorization: Bearer secret_abc123DEF456"

Path Parameters

id
string
required

The id of the requested resource

Query Parameters

phase
string
dimension
string

Response

200 - application/json

Success

result
object